## firebird2.5 2.5.3.26778.ds4

=== debian/changelog ===
firebird2.5 (2.5.3.26778.ds4-5+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2017-11509
    Disable UDFs in firebird.conf due to a remote authenticated code execution
    vulnerability.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Feb 2020 19:03:02 +0100

firebird2.5 (2.5.3.26778.ds4-5+deb8u1) jessie-security; urgency=high

  * Add two commits from upstream fixing authenticated remote code execution
    (CVE-2017-6369 / CORE-5474)
    (Closes: #858641)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Mar 2017 10:08:00 +0000

firebird2.5 (2.5.3.26778.ds4-5) unstable; urgency=high

  * Apply patch from upstream revision 60322 fixing server crash (NULL-pointer
    dereference) with specially crafter service packet. Closes: #772880

 -- Damyan Ivanov <dmn@debian.org>  Fri, 12 Dec 2014 19:38:13 +0000

firebird2.5 (2.5.3.26778.ds4-4) unstable; urgency=medium

  * add patch from upstream adding proper support for ppc64el
    Avoids misreporting endianness on ppc64el, which would break transmitting
    data between ppc64el and other architectures.
    Thanks to marius popa for reporting and upstream implementation.
    Closes: #769161

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Nov 2014 21:02:54 +0000

firebird2.5 (2.5.3.26778.ds4-3) unstable; urgency=medium

  * add patch tightening fb_guard lock file permissions (Closes: #767497)
    Thanks to Holger Levsen
  * -super.postinst: tighten permissions on existing fbguard lock file
  * declare conformance with Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Nov 2014 22:27:16 +0000

firebird2.5 (2.5.3.26778.ds4-2) unstable; urgency=medium

  * fix arm64 build by uncommenting one more place where arm64 support is
    described

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Jul 2014 07:52:59 +0000

firebird2.5 (2.5.3.26778.ds4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.3.26778.ds4
    + drop 10 patches applied/released upstream
    + refresh 5 patches to apply without offsets
    + reduce the arm64 patch to the parts enabling arm64 builds
      other parts are upstream
    + debian/copyright: add builds/posix/prefix.linux_arm64
    + update symbol files (added isc_sqlcode_s@Base 2.5.3.26778.ds4)
  * do not fail server installation if unable to set the admin password
    (Closes: #756212 -- firebird2.5-super: fails to install with firewalled
    localhost)
  * -server-common.postinst: move_log_files: use -exec instead of -execdir
    (Closes: #754888 -- -server-common installation fails with '.' in $PATH)
  * add Polish debconf translation by Magdalena Zofia Kubot (Closes: #728926)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 28 Jul 2014 10:49:33 +0300

firebird2.5 (2.5.2.26540.ds4-15) unstable; urgency=medium

  * logrotate: add su option
  * -server-common.postinst: move existing log files from /var/log to
    /var/log/firebird

 -- Damyan Ivanov <dmn@debian.org>  Thu, 19 Jun 2014 10:18:28 +0300

firebird2.5 (2.5.2.26540.ds4-14) unstable; urgency=medium

  * control: apply wrap-and-sort -s -t
  * move adduser dependency from -server-common to individual server packages
  * drop conflict relations with 2.0 packages not present in oldstable
  * -server-common: change shell of the automatically created firebird user to /bin/false
  * put server log file under /var/log/firebird
    Removes the need to create the log file after rotation
    Closes: #751216 -- /etc/cron.daily/logrotate complains about unknown user
    'firebird'

 -- Damyan Ivanov <dmn@debian.org>  Tue, 17 Jun 2014 22:57:09 +0300

firebird2.5 (2.5.2.26540.ds4-13) unstable; urgency=medium

  * -server-sommon.postinst: drop the --shell option when invoking adduser
  * move firebird account creation implementation from -server-common.postinst
    to functions.sh
  * move creation of firebird user from -server-common.postinst to individual
    server packages
    Closes: #749619 -- upgrading libreoffice creates a new "firebird" system
    user. Thanks to Russ Allbery for the detailed bug report.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 May 2014 23:03:31 +0300

firebird2.5 (2.5.2.26540.ds4-12) unstable; urgency=medium

  * update link_atopic_ops.patch to link with atomic_ops library on hppa too.
    Thanks to John David Anglin (Closes: #748481)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 May 2014 23:44:51 +0300

firebird2.5 (2.5.2.26540.ds4-11) unstable; urgency=medium

  * add patch adding missing prefix.linux_arm64 file
  * declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 May 2014 13:15:28 +0300

firebird2.5 (2.5.2.26540.ds4-10) unstable; urgency=medium

  * add patch from upstream revision 58859 adding ARM64 support
    + refresh patches to apply cleanly
  * fix a spelling error in gpre.pod
  * add a patch fixing a couple of spelling mistakes in gpre help and
    client/server error messages

 -- Damyan Ivanov <dmn@debian.org>  Tue, 22 Apr 2014 14:49:09 +0300
