## firebird2.5 2.5.4.26856.ds4

=== debian/changelog ===
firebird2.5 (2.5.4.26856.ds4-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:39:48 +0100

firebird2.5 (2.5.4.26856.ds4-1) unstable; urgency=medium

  * move firebird.msg from firebird2.5-common to libfbclient2, under /usr/lib
    Closes: #782842 -- firebird2.5-common: firebird.msg is
    architecture-specific
  * Imported Upstream version 2.5.4.26856.ds4
    + update copyright information (added a file and a directory)
    + drop upstream/r58859-arm64.patch (released upstream)
    + drop out/fb_guard-lock-permissions.patch (applied upstream)
    + drop upstream/r60322-remote-crash.patch (released upstream)
    + drop upstream/r60322-remote-crash.patch (released upstream)
    + refresh five patches to apply cleanly
  * link fbguard with dl, it uses at least dl_close

 -- Damyan Ivanov <dmn@debian.org>  Sun, 26 Apr 2015 18:57:31 +0000
