=== debian/control ===
--- 
+++ 
@@ -167,6 +167,7 @@
  firebird2.5-common (= ${source:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
+ libfbclient2,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Firebird embedded client/server library
@@ -221,8 +222,8 @@
  This package contains files common to both servers and clients for both super
  and classic flavours.
  .
- These include the message file (firebird.msg), support scripts as well as
- configuration files in /etc/firebird/2.5.
+ These include support scripts as well as configuration files in
+ /etc/firebird/2.5.
  .
  Please refer to the firebird2.5-super or firebird2.5-classic packages for more
  information about Firebird in general.
