=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	     --with-fbmsg=${USFB} --with-fblog=/var/log/firebird \
 	     --with-fbglock=${RUN} \
 	     --with-fbplugins=${ULFB}/plugins \
+	     --with-fbmsg=/usr/lib/$(DEB_HOST_MULTIARCH)/firebird/$(FB_VER) \
 	     $(shell dpkg-buildflags --export=configure)
 
 # see #575564
@@ -272,5 +273,3 @@
 	dh_installman -i
 	dh_installexamples -i
 	dh_installlogrotate -i --name firebird$(FB_VER)
-	dh_installchangelogs ChangeLog -p firebird$(FB_VER)-common-doc
-	dh_lintian -i
