## firebird2.5 2.5.6.27020.ds4

=== debian/changelog ===
firebird2.5 (2.5.6.27020.ds4-3+m68k2) unreleased; urgency=medium

  * Rebuild with --arch-all --source.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 19 Nov 2016 01:23:33 +0000

firebird2.5 (2.5.6.27020.ds4-3+m68k) unreleased; urgency=medium

  * Rebuild for unreleased.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 16 Nov 2016 09:50:23 +0000

firebird2.5 (2.5.6.27020.ds4-3) unstable; urgency=medium

  * add bindnow hardening flags
  * avoid double-setting build flags when calling ./configure
  * use DEB_CXXFLAGS_MAINT_APPEND to add std=gnu++98 and -fno-lifetime-dse
  * add (versioned) dependency on lsb-base (3.0-6) to packahes using
    /lib/lsb/init-functions (thanks, lintian)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Oct 2016 11:04:21 +0000

firebird2.5 (2.5.6.27020.ds4-2) unstable; urgency=medium

  * fix linking of fdb-r15y-prune with --as-needed.
    Patch from Matthias Klose. Closes: #835198
  * -classic.postrm: fix spurions [ ] around inviocation of 'which'
  * remove flexible array union member in fdb-r15y-prune (gcc-6)
  * Move firebird.msg from libfbclient2 to -common, under arch-specific path.
  * Fix three typographical errors in manual pages
  * More spelling mistakes added to out/spelling.patch
  * Restore usage of hardening compiler options broken with 2.5.5.26952.ds4-4
  * Use https protocol in Vcs-* headers
  * Bump standards-version to 3.9.8 (no changes needed)
  * libib-util: replace ldconfig calls in postinst/postrm with a trigger

 -- Damyan Ivanov <dmn@debian.org>  Mon, 03 Oct 2016 10:43:49 +0000

firebird2.5 (2.5.6.27020.ds4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.6.27020.ds4
    + add builds/win32/msvc14/* to d/copyright
    + drop upstream/core-5068.patch, released upstream
    + update patch offset for clean application
  * Update pb_BR translation of debconf templates
    Thanks to Adriano Rafael Gomes (Closes: #824337)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 Jul 2016 05:58:25 +0000

firebird2.5 (2.5.5.26952.ds4-5) unstable; urgency=medium

  * fix debian/fdb-r15y-prune to build with gcc 6 (Closes: #822714)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Apr 2016 20:14:57 +0000

firebird2.5 (2.5.5.26952.ds4-4) unstable; urgency=medium

  * Migrate to automatic dbgsym debug packages maintained by debhelper
  * adapt versioned-log-filename.patch to not break compilation with gcc-6
  * pass -std=gnu++98 -fno-lifetime-dse to CXXFLAGS
    makes firebird2.5 build with gcc-6 (Closes: #811625)
    Thanks to Richard Biener and Michal Kubeček

 -- Damyan Ivanov <dmn@debian.org>  Tue, 08 Mar 2016 21:53:45 +0000

firebird2.5 (2.5.5.26952.ds4-3) unstable; urgency=medium

  * fix authenticated remote server segfault (Closes: #810599, CVE-2016-1569)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 Jan 2016 11:50:21 +0000

firebird2.5 (2.5.5.26952.ds4-2) unstable; urgency=medium

  * avoid using fakeroot in the install target if already running as root

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Nov 2015 19:53:44 +0000

firebird2.5 (2.5.5.26952.ds4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.5.26952.ds4
  * add two new files to d/copyright
  * add new flags to gbak.pod

 -- Damyan Ivanov <dmn@debian.org>  Sat, 21 Nov 2015 15:47:20 +0000

firebird2.5 (2.5.4.26856.ds4-2) unstable; urgency=medium

  * Make the build reproducible
    + export SOURCE_DATE_EPOCH which helps help2man generate reproducible
      manpages
    + process all database files included in the binary packages with a tool
      that:
      - sets the creation stamp in the database header to a fixed value (taken
        from the last changelog stanza)
      - zero-out unused portions of data and b-tree index pages
  * rewrite all added manpages that were still using sgml+docbook-to-man to
    POD
    + remove build dependency on orphaned docbook-to-man
  * -classic.postrm: replace -x test on update-inetd existence with 'which';
    thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Wed, 16 Sep 2015 08:40:12 +0000
