=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  autoconf,
  automake,
  bison,
- debhelper (>= 9),
- docbook-to-man,
+ debhelper (>= 9.20151219~),
  dpkg-dev (>= 1.16.1),
  gawk,
  help2man,
@@ -19,9 +18,9 @@
  po-debconf,
  procmail,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-firebird/2.5.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-firebird/2.5.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/pkg-firebird/2.5.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-firebird/2.5.git;a=summary
 Homepage: http://firebirdsql.org/
 
 Package: firebird2.5-super
@@ -34,10 +33,10 @@
 Depends:
  adduser,
  debconf (>= 1.4.69),
- firebird2.5-common (= ${source:Version}),
+ firebird2.5-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
- lsb-base,
+ lsb-base (>= 3.0-6),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends: libib-util
@@ -70,9 +69,10 @@
  adduser,
  debconf (>= 1.4.69),
  firebird2.5-classic-common (= ${binary:Version}),
- firebird2.5-common (= ${source:Version}),
+ firebird2.5-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
+ lsb-base (>= 3.0-6),
  netbase,
  openbsd-inetd | inet-superserver,
  ${misc:Depends},
@@ -107,10 +107,10 @@
  adduser,
  debconf (>= 1.4.69),
  firebird2.5-classic-common (= ${binary:Version}),
- firebird2.5-common (= ${source:Version}),
+ firebird2.5-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
- lsb-base,
+ lsb-base (>= 3.0-6),
  netbase,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -140,7 +140,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- firebird2.5-common (= ${source:Version}),
+ firebird2.5-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -164,10 +164,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- firebird2.5-common (= ${source:Version}),
+ firebird2.5-common (= ${binary:Version}),
  firebird2.5-common-doc (= ${source:Version}),
  firebird2.5-server-common (= ${binary:Version}),
- libfbclient2,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Firebird embedded client/server library
@@ -209,9 +208,11 @@
  memory management etc.
 
 Package: firebird2.5-common
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: firebird2.5-common-doc (= ${source:Version}), ${misc:Depends}
+Breaks: libfbclient2 (<< 2.5.6.27020.ds4-2~)
+Replaces: libfbclient2 (<< 2.5.6.27020.ds4-2~)
 Description: common files for firebird 2.5 servers and clients
  Firebird is a relational database offering many ANSI SQL-99 features that
  runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
@@ -222,8 +223,8 @@
  This package contains files common to both servers and clients for both super
  and classic flavours.
  .
- These include support scripts as well as configuration files in
- /etc/firebird/2.5.
+ These include the message file (firebird.msg), support scripts as well as
+ configuration files in /etc/firebird/2.5.
  .
  Please refer to the firebird2.5-super or firebird2.5-classic packages for more
  information about Firebird in general.
@@ -311,6 +312,3 @@
  SQL functions that might be of interest for advanced users and developers.
  .
  This package does not include the release notes, the quick start guide and
- the upgrade guide, which are distributed only as PDF files upstream, with no
- accompanying sources, and therefore cannot be included in Debian.
-
