=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,18 @@
 FB_VER	:= $(FB_MAJOR).$(FB_MINOR)
 FB_FULL_VER:= $(FB_VER).$(FB_REV)
 
+SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+SOURCE_DATE := $(shell date -d@$(SOURCE_DATE_EPOCH) -u +"%Y-%m-%d")
+
 EMBED_SOVER=$(FB_VER)
 CLIENT_SOVER=$(FB_MAJOR)
 UTIL_SOVER=
+
+ifeq ($(shell whoami),root)
+FAKEROOT=
+else
+FAKEROOT=fakeroot
+endif
 
 ifndef FB_MAJOR
 $(error FB_MAJOR not defined)
@@ -37,6 +46,8 @@
 #export CPP=cpp-4.3
 #export CXXPP=cpp-4.3
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+export DEB_CXXFLAGS_MAINT_APPEND=-std=gnu++98 -fno-lifetime-dse
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -70,8 +81,7 @@
 	     --with-fbmsg=${USFB} --with-fblog=/var/log/firebird \
 	     --with-fbglock=${RUN} \
 	     --with-fbplugins=${ULFB}/plugins \
-	     --with-fbmsg=/usr/lib/$(DEB_HOST_MULTIARCH)/firebird/$(FB_VER) \
-	     $(shell dpkg-buildflags --export=configure)
+	     --with-fbmsg=/usr/lib/$(DEB_HOST_MULTIARCH)/firebird/$(FB_VER)
 
 # see #575564
 export FIREBIRD_LOCK=$(CURDIR)/debian/tmp-lock
@@ -106,7 +116,7 @@
 	-sh debian/clean-after-build.sh
 
 	chmod u+x ./configure
-	CFLAGS= CXXFLAGS= ./configure $(confflags) --enable-superserver
+	$(shell dpkg-buildflags --export=cmdline) ./configure $(confflags) --enable-superserver
 
 	awk '/^# stored/, /^fb_version/ { print }' gen/firebird/bin/fb_config
 
@@ -123,7 +133,7 @@
 	-sh debian/clean-after-build.sh
 
 	chmod u+x ./configure
-	CFLAGS= CXXFLAGS= ./configure $(confflags)
+	$(shell dpkg-buildflags --export=cmdline) ./configure $(confflags)
 
 	touch $@
 
@@ -156,21 +166,28 @@
 %.1 : %.pod
 	pod2man -c "Firebird documentation" --release "Firebird 2.5"  $< > $@
 
-%.1 : %.sgml
-	docbook-to-man $< > $@
-
 .PHONY: build-super
 build-super: build-super-stamp
 build-super-stamp: configure-super-stamp
 	echo Starting build-super-server
 	dh_testdir
 	[ -d $(FIREBIRD_TMP) ] || mkdir $(FIREBIRD_TMP)
-	$(shell dpkg-buildflags --export=sh); $(MAKE) $(NJOBS)
+	$(shell dpkg-buildflags --export=cmdline) $(MAKE) $(NJOBS)
 
 	# moving to SuperServer target
 	rm -rf ./debian/firebird-super
-	fakeroot $(MAKE) -C gen -f Makefile.install buildRoot
+	$(FAKEROOT) $(MAKE) -C gen -f Makefile.install buildRoot
 	mv ./gen/buildroot ./debian/firebird-super
+	g++ -I. -Isrc/include -Idebian/firebird-super/usr/include \
+	    -Wall \
+	    -o debian/fdb-r15y-prune debian/fdb-r15y-prune.cpp \
+	    -lfbclient -Ldebian/firebird-super/usr/lib/$(DEB_HOST_MULTIARCH) \
+	    $(shell dpkg-buildflags --get CXXFLAGS) \
+	    $(shell dpkg-buildflags --get CPPFLAGS) \
+	    $(shell dpkg-buildflags --get LDFLAGS)
+	LD_LIBRARY_PATH=debian/firebird-super/usr/lib/$(DEB_HOST_MULTIARCH) debian/fdb-r15y-prune debian/firebird-super/var/lib/firebird/$(FB_VER)/system/help.fdb "$(SOURCE_DATE)"
+	LD_LIBRARY_PATH=debian/firebird-super/usr/lib/$(DEB_HOST_MULTIARCH) debian/fdb-r15y-prune debian/firebird-super/var/lib/firebird/$(FB_VER)/system/security2.fdb "$(SOURCE_DATE)"
+	LD_LIBRARY_PATH=debian/firebird-super/usr/lib/$(DEB_HOST_MULTIARCH) debian/fdb-r15y-prune debian/firebird-super/usr/share/doc/firebird2.5-common-doc/examples/empbuild/employee.fdb "$(SOURCE_DATE)"
 
 	touch $@
 
@@ -180,11 +197,11 @@
 	echo Starting build-classic-server
 	dh_testdir
 	[ -d $(FIREBIRD_TMP) ] || mkdir $(FIREBIRD_TMP)
-	$(shell dpkg-buildflags --export=sh); $(MAKE) $(NJOBS)
+	$(shell dpkg-buildflags --export=cmdline) $(MAKE) $(NJOBS)
 
 	# moving to ClassicServer target
 	rm -rf ./debian/firebird-classic
-	fakeroot $(MAKE) -C gen -f Makefile.install buildRoot
+	$(FAKEROOT) $(MAKE) -C gen -f Makefile.install buildRoot
 	mv ./gen/buildroot ./debian/firebird-classic
 
 	touch $@
@@ -227,49 +244,3 @@
 	
 	dh_clean
 	
-	@echo FB_MAJOR = $(FB_MAJOR)
-	@echo FB_MINOR = $(FB_MINOR)
-	@echo FB_REV   = $(FB_REV)
-	@echo FB_VER   = $(FB_VER)
-	@echo FB_FULL_VER = $(FB_FULL_VER)
-	@echo EMBED_SOVER = $(EMBED_SOVER)
-	@echo CLIENT_SOVER= $(CLIENT_SOVER)
-	@echo UTIL_SOVER= $(UTIL_SOVER)
-
-.PHONY: install
-install: DH_OPTIONS=
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-
-	sh debian/make_packages.sh
-
-	cp -a debian/server-templates.master \
-	      debian/firebird$(FB_VER)-super.templates
-
-	cp -a debian/server-templates.master \
-	      debian/firebird$(FB_VER)-classic.templates
-
-	cp -a debian/server-templates.master \
-	      debian/firebird$(FB_VER)-superclassic.templates
-
-	cp -a debian/server-config.master \
-	      debian/firebird$(FB_VER)-super.config
-
-	cp -a debian/server-config.master \
-	      debian/firebird$(FB_VER)-classic.config
-
-	cp -a debian/server-config.master \
-	      debian/firebird$(FB_VER)-superclassic.config
-
-.PHONY: binary-indep
-binary-indep: install
-	dh_testdir -i
-	dh_testroot -i
-	dh_installdocs -p firebird$(FB_VER)-common-doc
-	dh_installdocs -Xchangelog -Xcopyright -p firebird$(FB_VER)-doc
-	dh_installman -i
-	dh_installexamples -i
-	dh_installlogrotate -i --name firebird$(FB_VER)
